Resources (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.resources

## Interface Resources

- All Superinterfaces:
    com.google.gwt.resources.client.ClientBundle

      public interface Resources
      extends com.google.gwt.resources.client.ClientBundle

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.resources.client.ClientBundle

      `com.google.gwt.resources.client.ClientBundle.Source`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Resources` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.resources.client.ImageResource` | `getArrowDown()`
    `com.google.gwt.resources.client.ImageResource` | `getArrowRight()`
    `com.google.gwt.resources.client.ImageResource` | `getArrowTurn()`
    `com.google.gwt.resources.client.ImageResource` | `getAttention()`
    `com.google.gwt.resources.client.ImageResource` | `getBluePlace()`
    `com.google.gwt.resources.client.ImageResource` | `getBluePlace1()`
    `com.google.gwt.resources.client.ImageResource` | `getBluePlace16px()`
    `com.google.gwt.resources.client.ImageResource` | `getBluePlace2()`
    `com.google.gwt.resources.client.ImageResource` | `getBluePlace3()`
    `com.google.gwt.resources.client.ImageResource` | `getBluePlace4()`
    `com.google.gwt.resources.client.ImageResource` | `getBluePlace4More()`
    `com.google.gwt.resources.client.ImageResource` | `getCheckBoxEmpty()`
    `com.google.gwt.resources.client.ImageResource` | `getCheckBoxFull()`
    `com.google.gwt.resources.client.ImageResource` | `getCheckNo()`
    `com.google.gwt.resources.client.ImageResource` | `getCheckSelected()`
    `com.google.gwt.resources.client.ImageResource` | `getCheckYes()`
    `com.google.gwt.resources.client.ImageResource` | `getCollapse()`
    `com.google.gwt.resources.client.ImageResource` | `getCredits()`
    `com.google.gwt.resources.client.ImageResource` | `getDelete()`
    `com.google.gwt.resources.client.ImageResource` | `getDescriptiveSpeciesIcon()`
    `com.google.gwt.resources.client.ImageResource` | `getDetailsWindow()`
    `com.google.gwt.resources.client.ImageResource` | `getExpand()`
    `com.google.gwt.resources.client.ImageResource` | `getGbif()`
    `com.google.gwt.resources.client.ImageResource` | `getGisProducts()`
    `com.google.gwt.resources.client.ImageResource` | `getGridImagesIcon()`
    `com.google.gwt.resources.client.ImageResource` | `getGridSpeciesIcon()`
    `com.google.gwt.resources.client.ImageResource` | `getHelpIcon()`
    `com.google.gwt.resources.client.ImageResource` | `getImageNotFound()`
    `com.google.gwt.resources.client.ImageResource` | `getInfoIcon()`
    `com.google.gwt.resources.client.ImageResource` | `getNoPictureAvailable()`
    `com.google.gwt.resources.client.ImageResource` | `getRefresh()`
    `com.google.gwt.resources.client.ImageResource` | `getReload()`
    `com.google.gwt.resources.client.ImageResource` | `getReSubmit()`
    `com.google.gwt.resources.client.ImageResource` | `getSaveProducts()`
    `com.google.gwt.resources.client.ImageResource` | `getSaveProducts24()`
    `com.google.gwt.resources.client.ImageResource` | `getSearch()`
    `com.google.gwt.resources.client.ImageResource` | `getShowProducts()`
    `com.google.gwt.resources.client.ImageResource` | `getSortIcon()`
    `com.google.gwt.resources.client.ImageResource` | `getSynonyms()`
    `com.google.gwt.resources.client.ImageResource` | `getTaxonomy()`
    `com.google.gwt.resources.client.ImageResource` | `getTaxonomy1()`
    `com.google.gwt.resources.client.ImageResource` | `getTaxonomy16px()`
    `com.google.gwt.resources.client.ImageResource` | `getTaxonomy2()`
    `com.google.gwt.resources.client.ImageResource` | `getTaxonomy3()`
    `com.google.gwt.resources.client.ImageResource` | `getTaxonomy4()`
    `com.google.gwt.resources.client.ImageResource` | `getTaxonomy4More()`
    `com.google.gwt.resources.client.TextResource` | `getToggleJavaScript()`
    `com.google.gwt.resources.client.TextResource` | `help()`
    `com.google.gwt.resources.client.ImageResource` | `loadingBalls()`

- - ### Field Detail

    - #### INSTANCE

          static final Resources INSTANCE

  - ### Method Detail

    - #### loadingBalls

          @ClientBundle.Source(value="loading-balls.gif")
          com.google.gwt.resources.client.ImageResource loadingBalls()

    - #### getDescriptiveSpeciesIcon

          @ClientBundle.Source(value="detailsview.png")
          com.google.gwt.resources.client.ImageResource getDescriptiveSpeciesIcon()

    - #### getGridSpeciesIcon

          @ClientBundle.Source(value="gridview.png")
          com.google.gwt.resources.client.ImageResource getGridSpeciesIcon()

    - #### getGridImagesIcon

          @ClientBundle.Source(value="imagesGrid.png")
          com.google.gwt.resources.client.ImageResource getGridImagesIcon()

    - #### getCollapse

          @ClientBundle.Source(value="collapse.png")
          com.google.gwt.resources.client.ImageResource getCollapse()

    - #### getExpand

          @ClientBundle.Source(value="expand.png")
          com.google.gwt.resources.client.ImageResource getExpand()

    - #### getToggleJavaScript

          @ClientBundle.Source(value="Toggle.js")
          com.google.gwt.resources.client.TextResource getToggleJavaScript()

    - #### getNoPictureAvailable

          @ClientBundle.Source(value="nopicavailable.png")
          com.google.gwt.resources.client.ImageResource getNoPictureAvailable()

    - #### getShowProducts

          @ClientBundle.Source(value="show_products.png")
          com.google.gwt.resources.client.ImageResource getShowProducts()

    - #### getSaveProducts

          @ClientBundle.Source(value="save_products.png")
          com.google.gwt.resources.client.ImageResource getSaveProducts()

    - #### getSaveProducts24

          @ClientBundle.Source(value="save_products24.png")
          com.google.gwt.resources.client.ImageResource getSaveProducts24()

    - #### getGisProducts

          @ClientBundle.Source(value="gis_products.png")
          com.google.gwt.resources.client.ImageResource getGisProducts()

    - #### getArrowDown

          @ClientBundle.Source(value="arrow-down.gif")
          com.google.gwt.resources.client.ImageResource getArrowDown()

    - #### getArrowRight

          @ClientBundle.Source(value="arrow-right.gif")
          com.google.gwt.resources.client.ImageResource getArrowRight()

    - #### getArrowTurn

          @ClientBundle.Source(value="arrow-turn.png")
          com.google.gwt.resources.client.ImageResource getArrowTurn()

    - #### getGbif

          @ClientBundle.Source(value="gbif.gif")
          com.google.gwt.resources.client.ImageResource getGbif()

    - #### getDelete

          @ClientBundle.Source(value="delete.png")
          com.google.gwt.resources.client.ImageResource getDelete()

    - #### getSortIcon

          @ClientBundle.Source(value="sortascending.gif")
          com.google.gwt.resources.client.ImageResource getSortIcon()

    - #### getInfoIcon

          @ClientBundle.Source(value="info-icon.png")
          com.google.gwt.resources.client.ImageResource getInfoIcon()

    - #### getHelpIcon

          @ClientBundle.Source(value="question-mark.gif")
          com.google.gwt.resources.client.ImageResource getHelpIcon()

    - #### getCheckYes

          @ClientBundle.Source(value="checkyes.png")
          com.google.gwt.resources.client.ImageResource getCheckYes()

    - #### getCheckNo

          @ClientBundle.Source(value="checkno.png")
          com.google.gwt.resources.client.ImageResource getCheckNo()

    - #### getReSubmit

          @ClientBundle.Source(value="gear.png")
          com.google.gwt.resources.client.ImageResource getReSubmit()

    - #### getCredits

          @ClientBundle.Source(value="credits.png")
          com.google.gwt.resources.client.ImageResource getCredits()

    - #### getImageNotFound

          @ClientBundle.Source(value="image-notfound.png")
          com.google.gwt.resources.client.ImageResource getImageNotFound()

    - #### getSynonyms

          @ClientBundle.Source(value="getSynonyms.png")
          com.google.gwt.resources.client.ImageResource getSynonyms()

    - #### getSearch

          @ClientBundle.Source(value="search-icon.png")
          com.google.gwt.resources.client.ImageResource getSearch()

    - #### getBluePlace

          @ClientBundle.Source(value="occurrence/blueplace.png")
          com.google.gwt.resources.client.ImageResource getBluePlace()

    - #### getBluePlace16px

          @ClientBundle.Source(value="occurrence/blueplace16px.png")
          com.google.gwt.resources.client.ImageResource getBluePlace16px()

    - #### getBluePlace1

          @ClientBundle.Source(value="occurrence/blueplace1.png")
          com.google.gwt.resources.client.ImageResource getBluePlace1()

    - #### getBluePlace2

          @ClientBundle.Source(value="occurrence/blueplace2.png")
          com.google.gwt.resources.client.ImageResource getBluePlace2()

    - #### getBluePlace3

          @ClientBundle.Source(value="occurrence/blueplace3.png")
          com.google.gwt.resources.client.ImageResource getBluePlace3()

    - #### getBluePlace4

          @ClientBundle.Source(value="occurrence/blueplace4.png")
          com.google.gwt.resources.client.ImageResource getBluePlace4()

    - #### getBluePlace4More

          @ClientBundle.Source(value="occurrence/blueplace4+.png")
          com.google.gwt.resources.client.ImageResource getBluePlace4More()

    - #### getTaxonomy

          @ClientBundle.Source(value="taxonomy/taxonomy.png")
          com.google.gwt.resources.client.ImageResource getTaxonomy()

    - #### getTaxonomy16px

          @ClientBundle.Source(value="taxonomy/taxonomy16px.png")
          com.google.gwt.resources.client.ImageResource getTaxonomy16px()

    - #### getTaxonomy1

          @ClientBundle.Source(value="taxonomy/taxonomy1.png")
          com.google.gwt.resources.client.ImageResource getTaxonomy1()

    - #### getTaxonomy2

          @ClientBundle.Source(value="taxonomy/taxonomy2.png")
          com.google.gwt.resources.client.ImageResource getTaxonomy2()

    - #### getTaxonomy3

          @ClientBundle.Source(value="taxonomy/taxonomy3.png")
          com.google.gwt.resources.client.ImageResource getTaxonomy3()

    - #### getTaxonomy4

          @ClientBundle.Source(value="taxonomy/taxonomy4.png")
          com.google.gwt.resources.client.ImageResource getTaxonomy4()

    - #### getTaxonomy4More

          @ClientBundle.Source(value="taxonomy/taxonomy4More.png")
          com.google.gwt.resources.client.ImageResource getTaxonomy4More()

    - #### getRefresh

          @ClientBundle.Source(value="refresh.gif")
          com.google.gwt.resources.client.ImageResource getRefresh()

    - #### getReload

          @ClientBundle.Source(value="reload-icon.png")
          com.google.gwt.resources.client.ImageResource getReload()

    - #### getCheckBoxEmpty

          @ClientBundle.Source(value="checkbox-empty.png")
          com.google.gwt.resources.client.ImageResource getCheckBoxEmpty()

    - #### getCheckBoxFull

          @ClientBundle.Source(value="checkbox-full.png")
          com.google.gwt.resources.client.ImageResource getCheckBoxFull()

    - #### getCheckSelected

          @ClientBundle.Source(value="select-icon.png")
          com.google.gwt.resources.client.ImageResource getCheckSelected()

    - #### getDetailsWindow

          @ClientBundle.Source(value="datailsWindow.png")
          com.google.gwt.resources.client.ImageResource getDetailsWindow()

    - #### getAttention

          @ClientBundle.Source(value="attention.png")
          com.google.gwt.resources.client.ImageResource getAttention()

    - #### help

          @ClientBundle.Source(value="help.html")
          com.google.gwt.resources.client.TextResource help()

Copyright © 2013. All Rights Reserved.